

.dst-front-products {
  display: grid;
  gap: 2rem;
  grid-template: auto / 1fr 1fr 1fr 1fr;
}

.dst-product-tile {
  text-align: center;
  color: #000;
  font-size: 14px;
  line-height: 1.5;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.dst-product-link {
  margin-top: auto;
  color: #df571d;
  font-weight: 600;
  margin-top: auto;
}

.dst-product-tile {
  height: auto;
}


a.dst-product-tile:nth-child(1) > span:nth-child(4) {
  color: #df571d;
  font-weight: 600;
  margin-top: auto;
}


.dst-product-tile img {
  transition: all .2s linear;
      width: 100%;
    border-radius: 10px;
}

.dst-product-tile:hover img {
  transform: scale(1.05);
}

.dst-product-tile:hover h3 {
  color: #df571d;
}

.dst-product-tile h3 {
  transition: all .2s linear;
}


.dst-front-categories {
  display: grid;
  grid-template: auto / 1fr 1fr;
  gap: 2rem;
  margin: 2rem 0;
}

.dst-category-tile {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
  background: linear-gradient(to right bottom, #0a8fcc, #394381);
  padding: 2rem;
  color: #fff;
  font-weight: bold;
  border-radius: 10px;
    line-height: 1;
}

.dst-category-tile:last-child {
  background: linear-gradient(to right bottom, #e5551a, #394382);
}

.dst-category-tile img {
  width: 80px;
}

#dst-live-search {
  background: transparent;
  border: 1px solid #cae4f0;
  color: #fff;
}

#dst-live-search::placeholder {
  color: #fff;
  font-weight: 500;
}

#dst-live-search {
  padding: 1rem;
  transition: all .1s linear;
}

#dst-live-search:focus {
  background: #2b5a98;
}

#dst-live-search {
  font-weight: 600;
}

#dst-search-results {
  background: #fff;
  padding: 1rem;
  border-radius: 10px;
  box-shadow: ;
  list-style: none;
}

#dst-search-results a {
  color: #000;
  font-weight: 500;
}

#dst-search-results {
  position: absolute;
  top: 58px;
  width: 100%;
  box-shadow: 0 0 30px rgba(0,0,0,0.2);
}

.dst-front-search {
  position: relative;
}



/* Inline | https://techplast.dstdesign.website/pl/start/ */

#dst-search-results .item h4 {
  font-size: 16px;
  font-weight: 800 !important;
}

#dst-search-results .item p {
  font-size: 12px;
  line-height: 1.2;
  opacity: .5;
  margin-top: 6px;
}

#dst-search-results .item h4 {
  margin-bottom: 0;
  padding-bottom: 0;
}

#dst-search-results .item {
  margin-bottom: 0.8rem;
}

#dst-search-results .item:last-child {
  padding-bottom: 0;
  margin-bottom: 0;
}

/* dst-products-module-front.css | https://techplast.dstdesign.website/wp-content/themes/dstdesign-theme/dst-products-module/css/dst-products-module-front.css?ver=1.0 */

#dst-search-results {
  /* padding: 1rem; */
  padding: 1.7rem;
}

/* Inline | https://techplast.dstdesign.website/pl/start/ */

.item {
}

#dst-search-results .item img {
  position: relative;
  display: block;
  overflow: hidden;
  max-width: 100px;
}

#dst-search-results .item .image img {
  height: 100%;
  object-fit: cover;
}

#dst-search-results .item .image {
  display: block;
  position: relative;
  overflow: hidden;
  width: 100px;
  flex: 0 0 100px;
}

/* dst-products-module-front.css | https://techplast.dstdesign.website/wp-content/themes/dstdesign-theme/dst-products-module/css/dst-products-module-front.css?ver=1.0 */

#dst-search-results .item {
  display: flex;
  gap: 1rem;
  align-items: flex-start;
  justify-content: flex-start;
}

#dst-search-results a {
  /* font-weight: 500; */
  font-weight: 600;
}



/* dst-products-module-front.css | https://techplast.dstdesign.website/wp-content/themes/dstdesign-theme/dst-products-module/css/dst-products-module-front.css?ver=1.0 */

#dst-search-results .item {
  /* align-items: flex-start; */
  align-items: stretch;
  transition: all .1s linear;
}

#dst-search-results .item .image {
  height: auto;
}

#dst-search-results .item:hover {
  background: #eee;
}

#dst-search-results .item .content {
  padding: 0.6rem 0;
}


.dst-category-tile img {
  transition: all .2s linear;
}

.dst-category-tile {
  transition: all .2s linear;
}

.dst-category-tile:hover img {
  transform: scale(1.1);
}

.dst-category-tile:hover {
  box-shadow: inset 0 0 30px rgba(0,0,0,0.2);
}



/* Inline | https://techplast.dstdesign.website/pl/produkty/ */

.dst-products-filter {
  display: grid;
  grid-template: auto / 200px auto;
  gap: 3rem;
}

#dst-filtered-products {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.dst-products-grid .dst-product-tile {
  display: flex;
  flex-direction: row;
  border: 1px solid #00a0e233;
}

.dst-products-grid .dst-product-tile .img {
  width: 200px;
  flex: 0 0 200px;
  height: auto;
}

.dst-products-grid .dst-product-tile .img img {
  height: 100%;
  width: 100%;
  object-fit: cover;  border-radius: 0;
}

.dst-products-grid .dst-product-tile .content {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  text-align: left;
  padding: 1rem;
  gap: 7px;
  font-size: 14px;
  line-height: 1.5;
}

.dst-products-grid .dst-product-tile .content h3 {
  text-align: left;
  font-size: 18px;
  padding: 0;
}


#dst-clear-filters {
  background: transparent;
  color: #04a6e9;
  border: 0;
  font-weight: 500;
  text-align: right;
}
.margin-top {
	margin-top: 2rem;
}


.dst-product-files {
  width: 100%;
  text-align: left;
}

.dst-product-files td {
  border: 1px solid #eee;
  padding: 10px;
  vertical-align: middle;
}

.dst-product-files {
  vertical-align: middle;
}

.dst-product-files tr {
  vertical-align: middle;
}



.dst-product-features-grid {
  display: grid;
  grid-template: auto / 1fr 1fr 1fr 1fr 1fr 1fr;
}

.dst-feature-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

.dst-feature-box img {
  width: auto;
  height: 50px;
  object-fit: contain;
  max-height: ;
  max-width: ;
  margin-bottom: 1rem;
}

.dst-feature-box {
  text-align: center;
  line-height: 1;
  font-size: 14px;
  font-weight: 500;
  padding: 2rem;
  border-right: 1px solid #dfedfa;
  background: #fff;
  transition: all .2s linear;
}

.dst-feature-box:hover {
  background: #dfedfa;
}

.dst-products-grid.related {
  display: flex;
  gap: 1rem;
}

.dst-products-grid.related .content {
  font-size: 12px;
  line-height: 1.4;
}


.dst-products-grid.related .dst-product-tile .img {
  width: 120px;
  flex: 0 0 120px;
}



/* Inline | https://techplast.dstdesign.website/pl/prod/poliweglan-komorowy-i19/# */

#sectionModal.open {
  position: fixed !important;
  width: 100%;
  height: 100%;
  z-index: 999;
  top: 1rem;
  left: 0;
  right: 0;
}

.open #RowModal {
  margin: 0 auto;
  top: 100px;
}



#dst-product-form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.dst-modal-close {
  border: 0;
  border-radius: 60px;
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 30px;
  float: right;
  background: #f9f9f9;
  transition: all .2s linear;
}

.dst-modal-close:hover {
  background: #ccc;
}

.submit-btn {
  background: #28a4d5;
  border: 0;
  padding: 12px 20px;
  font-size: 16px;
  font-weight: 600;
  color: #fff;
  transition: all .2s linear;
}


.dst-consent {
	font-size: 10px;
	font-weight: 400;
	line-height: 1.4;
}

/* Inline | https://techplast.dstdesign.website/pl/prod/poliweglan-komorowy-i19/# */

.form-success-message {
  font-weight: 600;
}
.produkt-placeholder {
  width: 100%;
  height: 150px;
  background: linear-gradient(90deg, #eee 25%, #8c8c8c 37%, #eee 63%);
  background-size: 400% 100%;
  animation: shimmer .85s infinite;
  border-radius: 8px;
  margin-bottom: 20px;
}

@keyframes shimmer {
  0% { background-position: -400px 0; }
  100% { background-position: 400px 0; }
}


@media (max-width: 980px) {

.dst-front-categories {

  gap: 1rem;
  margin: 1rem 0;
}
    .dst-front-products {
    gap: 1rem;
    grid-template: auto / 1fr 1fr;
    }

    .dst-product-tile h3 {
    font-size: 16px;
    }

    .dst-product-tile {
    gap: 0;
    }

    .dst-product-tile img {
    margin-bottom: 11px;
    }

    .dst-product-tile p {
    line-height: 1.2;
    font-size: 12px;
    }

 
/* dst-products-module-front.css | https://techplast.dstdesign.website/wp-content/themes/dstdesign-theme/dst-products-module/css/dst-products-module-front.css?ver=1.0 */

.dst-product-features-grid {
  /* grid-template: auto / 1fr 1fr 1fr 1fr 1fr 1fr; */
  grid-template: auto / 1fr 1fr 1fr;
}

.dst-products-grid.related {
  flex-direction: column;
}


}



@media (max-width: 787px) {
.dst-filter-sidebar {
	display: none;
}
.dst-products-filter {
  grid-template: auto / 1fr;
}

.dst-products-grid .dst-product-tile {
  flex-direction: column;
  overflow: hidden;
}

.dst-products-grid .dst-product-tile .img {
  width: 100%;
  flex: 0 0 auto;
  
}

.et_pb_column_3_tb_body.et_pb_column.et-last-child.et_flex_column.et_flex_column_8_24.et_flex_column_24_24_tablet.et_flex_column_24_24_phone.et_flex_column_24_24_tabletWide.et_pb_css_mix_blend_mode_passthrough {
  width: 100% !important;
}

.dst-feature-box {
  padding: 1rem;
  border-right: 0;
  border-bottom: 0;
}

  .dst-product-features-grid {
    grid-template: auto / 1fr 1fr;
  }


.dst-products-grid.related .dst-product-tile .img {
  width: 100%;
  flex: 0 0 100%;
}

.dst-modal-right h2 {
  font-size: 18px;
}

#RowModal {
  overflow-y: auto !important;
  height: 80vh;
}

.submit-btn {
  width: 100%;
}



}